local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local StageID = ____isaac_2Dtypescript_2Ddefinitions.StageID
local ____readOnly = require("functions.readOnly")
local newReadonlyColor = ____readOnly.newReadonlyColor
local BASEMENT_COLOR = newReadonlyColor(nil, 26 / 255, 14 / 255, 12 / 255)
local CAVES_COLOR = newReadonlyColor(nil, 18 / 255, 13 / 255, 8 / 255)
local DEPTHS_COLOR = newReadonlyColor(nil, 8 / 255, 8 / 255, 8 / 255)
local WOMB_COLOR = newReadonlyColor(nil, 27 / 255, 3 / 255, 3 / 255)
local SHEOL_COLOR = newReadonlyColor(nil, 6 / 255, 6 / 255, 6 / 255)
--- We arbitrarily specify a default color equal to that of Basement.
local DEFAULT_COLOR = BASEMENT_COLOR
--- These values are taken from StageAPI.
____exports.VERSUS_SCREEN_BACKGROUND_COLORS = {
    [StageID.SPECIAL_ROOMS] = DEFAULT_COLOR,
    [StageID.BASEMENT] = BASEMENT_COLOR,
    [StageID.CELLAR] = newReadonlyColor(nil, 26 / 255, 17 / 255, 13 / 255),
    [StageID.BURNING_BASEMENT] = newReadonlyColor(nil, 28 / 255, 12 / 255, 10 / 255),
    [StageID.CAVES] = CAVES_COLOR,
    [StageID.CATACOMBS] = newReadonlyColor(nil, 15 / 255, 10 / 255, 8 / 255),
    [StageID.FLOODED_CAVES] = newReadonlyColor(nil, 21 / 255, 28 / 255, 35 / 255),
    [StageID.DEPTHS] = DEPTHS_COLOR,
    [StageID.NECROPOLIS] = newReadonlyColor(nil, 10 / 255, 6 / 255, 6 / 255),
    [StageID.DANK_DEPTHS] = DEPTHS_COLOR,
    [StageID.WOMB] = WOMB_COLOR,
    [StageID.UTERO] = newReadonlyColor(nil, 22 / 255, 6 / 255, 5 / 255),
    [StageID.SCARRED_WOMB] = newReadonlyColor(nil, 42 / 255, 19 / 255, 10 / 255),
    [StageID.BLUE_WOMB] = newReadonlyColor(nil, 26 / 255, 32 / 255, 40 / 255),
    [StageID.SHEOL] = SHEOL_COLOR,
    [StageID.CATHEDRAL] = newReadonlyColor(nil, 6 / 255, 13 / 255, 17 / 255),
    [StageID.DARK_ROOM] = newReadonlyColor(nil, 9 / 255, 4 / 255, 3 / 255),
    [StageID.CHEST] = newReadonlyColor(nil, 15 / 255, 9 / 255, 6 / 255),
    [StageID.SPECIAL_ROOMS_GREED_MODE] = DEFAULT_COLOR,
    [StageID.BASEMENT_GREED_MODE] = BASEMENT_COLOR,
    [StageID.CAVES_GREED_MODE] = CAVES_COLOR,
    [StageID.DEPTHS_GREED_MODE] = DEPTHS_COLOR,
    [StageID.WOMB_GREED_MODE] = WOMB_COLOR,
    [StageID.SHEOL_GREED_MODE] = SHEOL_COLOR,
    [StageID.SHOP_GREED_MODE] = DEFAULT_COLOR,
    [StageID.ULTRA_GREED_GREED_MODE] = DEFAULT_COLOR,
    [StageID.VOID] = newReadonlyColor(nil, 0, 0, 0),
    [StageID.DOWNPOUR] = newReadonlyColor(nil, 29 / 255, 30 / 255, 32 / 255),
    [StageID.DROSS] = newReadonlyColor(nil, 35 / 255, 35 / 255, 29 / 255),
    [StageID.MINES] = newReadonlyColor(nil, 17 / 255, 15 / 255, 12 / 255),
    [StageID.ASHPIT] = newReadonlyColor(nil, 12 / 255, 10 / 255, 10 / 255),
    [StageID.MAUSOLEUM] = newReadonlyColor(nil, 14 / 255, 10 / 255, 14 / 255),
    [StageID.GEHENNA] = newReadonlyColor(nil, 15 / 255, 4 / 255, 4 / 255),
    [StageID.CORPSE] = newReadonlyColor(nil, 13 / 255, 14 / 255, 12 / 255),
    [StageID.MORTIS] = newReadonlyColor(nil, 13 / 255, 14 / 255, 12 / 255),
    [StageID.HOME] = DEFAULT_COLOR,
    [StageID.BACKWARDS] = DEFAULT_COLOR
}
return ____exports
